      subroutine scril
      parameter(nligne=100)
c      character*500 scr500(10)
      character*80 scr500(nligne)
      common/sri/ scr500
c      print *, 'entree scril'
      rewind 75
      read(75,'(a80)',err=2,end=2) scr500
  2   continue
c     close(75,status='DELETE')
      rewind 75
      call scri(scr500)
      return
      end
       subroutine scril2(ifil)
      parameter(nligne=100)
c      character*500 scr500(10)
      character*80 scr500(nligne)
c      character*8000 scr500
      common/sri/ scr500
c      print *, 'entree scril2'
      rewind 75
      do k=1,nligne
         read(75,'(a80)',err=2,end=2) scr500(k)
c         print*,scr500
      enddo
c      read(75,'(a8000)',err=2,end=2) scr500
  2   continue
c     close(75,status='DELETE')
      rewind 75
      call scri2(scr500,ifil)
      return
      end
